### Hierarchy

- EventTarget
  - Animation

## Index

### Properties

- EventTarget
- currentTime
- effect
- finished
- id
- oncancel
- onfinish
- pending
- playState
- playbackRate
- ready
- startTime
- timeline

### Methods

- addEventListener
- cancel
- dispatchEvent
- finish
- pause
- play
- removeEventListener
- reverse
- updatePlaybackRate

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### currentTime

currentTime: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1739

### effect

effect: AnimationEffect | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1740

### finished

finished: Promise<Animation>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1741

### id

id: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1742

### oncancel

oncancel: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1743

### onfinish

onfinish: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1744

### pending

pending: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1745

### playState

playState: AnimationPlayState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1746

### playbackRate

playbackRate: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1747

### ready

ready: Promise<Animation>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1748

### startTime

startTime: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1749

### timeline

timeline: AnimationTimeline | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1750

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1757

  #### Type parameters

  - #### K: keyof AnimationEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Animation, ev: AnimationEventMap[K]): any

      - #### Parameters

        - ##### this: Animation

        - ##### ev: AnimationEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1758

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### cancel

- cancel(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1751

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### finish

- finish(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1752

  #### Returns void

### pause

- pause(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1753

  #### Returns void

### play

- play(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1754

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1759

  #### Type parameters

  - #### K: keyof AnimationEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Animation, ev: AnimationEventMap[K]): any

      - #### Parameters

        - ##### this: Animation

        - ##### ev: AnimationEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1760

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### reverse

- reverse(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1755

  #### Returns void

### updatePlaybackRate

- updatePlaybackRate(playbackRate: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1756

  #### Parameters

  - ##### playbackRate: number

  #### Returns void

Generated using TypeDoc